| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions

# IG::Num::InputElementDefinitionDto Class Reference

DTO (data transfer object) for data input element definition. More...

Inheritance diagram for IG::Num::InputElementDefinitionDto:
[legend]
Collaboration diagram for IG::Num::InputElementDefinitionDto:
[legend]

List of all members.

## Public Member Functions
| InputElementDefinitionDto ()
override InputElementDefinition | CreateObject ()
| Creates and returns an object consistent with current contents of the vector.
## Public Attributes
bool | DefaultValueDefined
| Flag indicating whether default value is defined for the input parameter described by the current eleemnt description.
double | DefaultValue
| Default value for the output data element described by the current definition.
bool | OptimizationIndexSpecified
| Flag indicating whether optimization parameter index is defined for the input parameter described by the current element description. This index tells which optimization parameter corresponds to the current sampled data input parameter.
int | OptimizationIndex
| Optimization parameter index of the data element described by the current definition. This index tells which optimization parameter corresponds to the current sampled data input parameter.
double | DiscretizationStep = 0.0
| Discretization step that is used in cases where parameter the input parameter has discrete values. Discretization starts at MinValue.
## Protected Member Functions
override void | CopyFromPlain (InputOutputElementDefinition obj)
| Copies data from the specified object to the current DTO (data transfer object).
override void | CopyToPlain (ref InputOutputElementDefinition obj)
| Copies data from the current DTO to the specified object.

## Detailed Description

DTO (data transfer object) for data input element definition.

$A Ifor Mar11;

## Constructor & Destructor Documentation

IG::Num::InputElementDefinitionDto::InputElementDefinitionDto | ( |  | ) | `[inline]`

## Member Function Documentation

override InputElementDefinition IG::Num::InputElementDefinitionDto::CreateObject | ( |  | ) | `[inline, virtual]`

Creates and returns an object consistent with current contents of the vector.

Reimplemented from IG::Num::InputOutputElementDefinitionDto< ElementType >.

override void IG::Num::InputElementDefinitionDto::CopyFromPlain | ( | InputOutputElementDefinition | obj | ) | `[inline, protected]`

Copies data from the specified object to the current DTO (data transfer object).

Parameters:

  obj | Object that data is copied from.

Reimplemented from IG::Num::InputOutputElementDefinitionDto< ElementType >.

override void IG::Num::InputElementDefinitionDto::CopyToPlain | ( | ref InputOutputElementDefinition | obj | ) | `[inline, protected]`

Copies data from the current DTO to the specified object.

Parameters:

  obj | Object that data is copied to.

Reimplemented from IG::Num::InputOutputElementDefinitionDto< ElementType >.

## Member Data Documentation

bool IG::Num::InputElementDefinitionDto::DefaultValueDefined

Flag indicating whether default value is defined for the input parameter described by the current eleemnt description.

double IG::Num::InputElementDefinitionDto::DefaultValue

Default value for the output data element described by the current definition.

bool IG::Num::InputElementDefinitionDto::OptimizationIndexSpecified

Flag indicating whether optimization parameter index is defined for the input parameter described by the current element description. This index tells which optimization parameter corresponds to the current sampled data input parameter.

int IG::Num::InputElementDefinitionDto::OptimizationIndex

Optimization parameter index of the data element described by the current definition. This index tells which optimization parameter corresponds to the current sampled data input parameter.

double IG::Num::InputElementDefinitionDto::DiscretizationStep = 0.0

Discretization step that is used in cases where parameter the input parameter has discrete values. Discretization starts at MinValue.

This field was required by the Jozef Stefan optimization group.

The documentation for this class was generated from the following file:

- SampledDataDto.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events